> For the complete documentation index, see [llms.txt](https://docs.oscwii.org/oldapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oscwii.org/oldapi/v1/hosts/get-hosts-list.md).

# Get Hosts List

This endpoint retrieves all hosts.

#### HTTP Request <a href="#http-request-4" id="http-request-4"></a>

`GET http://api.oscwii.org/v1/hosts`

It's mandatory to specify the host in most API endpoints.

#### Usage <a href="#query-parameters" id="query-parameters"></a>

```
curl "http://api.oscwii.org/v1/hosts"
```

```
{
  "repos": [
    "primary", 
    "themes"
  ], 
  "repositories": {
    "primary": {
      "description": "The official Open Shop Channel Homebrew Apps repository.", 
      "host": "hbb1.oscwii.org", 
      "name": "Open Shop Channel"
    }, 
    "themes": {
      "description": "The official Open Shop Channel Homebrew Channel Themes repository.", 
      "host": "hbb3.oscwii.org", 
      "name": "Homebrew Channel Themes"
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oscwii.org/oldapi/v1/hosts/get-hosts-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
